Addons
Update Addon Image
Get a presigned S3 URL to upload an image for an existing addon. Upload the image to the returned URL within 60 seconds.
PUT
/
addons
/
{id}
/
images
JavaScript
import DodoPayments from 'dodopayments';
const client = new DodoPayments({
bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});
const response = await client.addons.updateImages('adn_NX1zdqW4Hbivsqz8vI9dc');
console.log(response.image_id);import os
from dodopayments import DodoPayments
client = DodoPayments(
bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"), # This is the default and can be omitted
)
response = client.addons.update_images(
"adn_NX1zdqW4Hbivsqz8vI9dc",
)
print(response.image_id)package main
import (
"context"
"fmt"
"github.com/dodopayments/dodopayments-go"
"github.com/dodopayments/dodopayments-go/option"
)
func main() {
client := dodopayments.NewClient(
option.WithBearerToken("My Bearer Token"),
)
response, err := client.Addons.UpdateImages(context.TODO(), "adn_NX1zdqW4Hbivsqz8vI9dc")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.ImageID)
}
package com.dodopayments.api.example;
import com.dodopayments.api.client.DodoPaymentsClient;
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;
import com.dodopayments.api.models.addons.AddonUpdateImagesParams;
import com.dodopayments.api.models.addons.AddonUpdateImagesResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();
AddonUpdateImagesResponse response = client.addons().updateImages("adn_NX1zdqW4Hbivsqz8vI9dc");
}
}package com.dodopayments.api.example
import com.dodopayments.api.client.DodoPaymentsClient
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient
import com.dodopayments.api.models.addons.AddonUpdateImagesParams
import com.dodopayments.api.models.addons.AddonUpdateImagesResponse
fun main() {
val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()
val response: AddonUpdateImagesResponse = client.addons().updateImages("adn_NX1zdqW4Hbivsqz8vI9dc")
}require "dodopayments"
dodo_payments = Dodopayments::Client.new(
bearer_token: "My Bearer Token",
environment: "test_mode" # defaults to "live_mode"
)
response = dodo_payments.addons.update_images("adn_NX1zdqW4Hbivsqz8vI9dc")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Dodopayments\Client;
use Dodopayments\Core\Exceptions\APIException;
$client = new Client(
bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',
environment: 'test_mode',
);
try {
$response = $client->addons->updateImages('adn_NX1zdqW4Hbivsqz8vI9dc');
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}using System;
using DodoPayments.Client;
using DodoPayments.Client.Models.Addons;
DodoPaymentsClient client = new();
AddonUpdateImagesParams parameters = new() { ID = "adn_NX1zdqW4Hbivsqz8vI9dc" };
var response = await client.Addons.UpdateImages(parameters);
Console.WriteLine(response);use dodopayments::Client;
#[tokio::main]
async fn main() -> dodopayments::Result<()> {
let client = Client::from_env()?;
let id = "id";
let result = client
.addons()
.update_images()
.id(id)
.await?;
println!("{result:?}");
Ok(())
}curl --request PUT \
--url https://test.dodopayments.com/addons/{id}/images \
--header 'Authorization: Bearer <token>'{
"image_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>"
}Authorizations
Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.
Path Parameters
Addon Id
Last modified on July 29, 2026
Was this page helpful?
⌘I
JavaScript
import DodoPayments from 'dodopayments';
const client = new DodoPayments({
bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});
const response = await client.addons.updateImages('adn_NX1zdqW4Hbivsqz8vI9dc');
console.log(response.image_id);import os
from dodopayments import DodoPayments
client = DodoPayments(
bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"), # This is the default and can be omitted
)
response = client.addons.update_images(
"adn_NX1zdqW4Hbivsqz8vI9dc",
)
print(response.image_id)package main
import (
"context"
"fmt"
"github.com/dodopayments/dodopayments-go"
"github.com/dodopayments/dodopayments-go/option"
)
func main() {
client := dodopayments.NewClient(
option.WithBearerToken("My Bearer Token"),
)
response, err := client.Addons.UpdateImages(context.TODO(), "adn_NX1zdqW4Hbivsqz8vI9dc")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.ImageID)
}
package com.dodopayments.api.example;
import com.dodopayments.api.client.DodoPaymentsClient;
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;
import com.dodopayments.api.models.addons.AddonUpdateImagesParams;
import com.dodopayments.api.models.addons.AddonUpdateImagesResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();
AddonUpdateImagesResponse response = client.addons().updateImages("adn_NX1zdqW4Hbivsqz8vI9dc");
}
}package com.dodopayments.api.example
import com.dodopayments.api.client.DodoPaymentsClient
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient
import com.dodopayments.api.models.addons.AddonUpdateImagesParams
import com.dodopayments.api.models.addons.AddonUpdateImagesResponse
fun main() {
val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()
val response: AddonUpdateImagesResponse = client.addons().updateImages("adn_NX1zdqW4Hbivsqz8vI9dc")
}require "dodopayments"
dodo_payments = Dodopayments::Client.new(
bearer_token: "My Bearer Token",
environment: "test_mode" # defaults to "live_mode"
)
response = dodo_payments.addons.update_images("adn_NX1zdqW4Hbivsqz8vI9dc")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Dodopayments\Client;
use Dodopayments\Core\Exceptions\APIException;
$client = new Client(
bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',
environment: 'test_mode',
);
try {
$response = $client->addons->updateImages('adn_NX1zdqW4Hbivsqz8vI9dc');
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}using System;
using DodoPayments.Client;
using DodoPayments.Client.Models.Addons;
DodoPaymentsClient client = new();
AddonUpdateImagesParams parameters = new() { ID = "adn_NX1zdqW4Hbivsqz8vI9dc" };
var response = await client.Addons.UpdateImages(parameters);
Console.WriteLine(response);use dodopayments::Client;
#[tokio::main]
async fn main() -> dodopayments::Result<()> {
let client = Client::from_env()?;
let id = "id";
let result = client
.addons()
.update_images()
.id(id)
.await?;
println!("{result:?}");
Ok(())
}curl --request PUT \
--url https://test.dodopayments.com/addons/{id}/images \
--header 'Authorization: Bearer <token>'{
"image_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>"
}